import ADManager from "./ADManager";

export default class PogAd {
  private static _ins: PogAd = null;
  public static get ins(): PogAd {
    return (PogAd._ins ??= new PogAd());
  }

  public async showAd() {
    return new Promise((resolve, reject) => {
      ADManager.ins.showGoogleAD(() => {
        resolve(true);
      });
    });
  }
}
